function res = checkConvexHull(qcurr,qnew)

global map convexHull;

% create the convex hull
n = 20;
xdiffs = qcurr(1):((qnew(1)-qcurr(1))/(n-1)):qnew(1);
ydiffs = qcurr(2):((qnew(2)-qcurr(2))/(n-1)):qnew(2);
O1diffs = qcurr(3):((qnew(3)-qcurr(3))/(n-1)):qnew(3);
O2diffs = qcurr(4):((qnew(4)-qcurr(4))/(n-1)):qnew(4);

if size(xdiffs,2) < 20
    a = 5;
end

if size(ydiffs,2) < 20
    a = 5;
end

if size(O1diffs,2) < 20
    a = 5;
    O1diffs = [O1diffs, qnew(3)];
end

if size(O2diffs,2) < 20
    a = 5;
    O2diffs = [O2diffs, qnew(4)];
end

convexHull = [];

% create the first hull
%     qprev = [xdiffs(1),ydiffs(1),O1diffs(1),O2diffs(1)];
%     [bd1a,bd2a] = createRobot(qprev);
%     
%     qcurr = [xdiffs(2),ydiffs(2),O1diffs(2),O2diffs(2)];
%     [bd1b,bd2b] = createRobot(qcurr);
%     
%     pt1 = [(bd1a(1,1) + bd1a(2,1))/2,(bd1a(1,2) + bd1a(2,2))/2];
%     pt2 = [(bd1b(1,1) + bd1b(2,1))/2,(bd1b(1,2) + bd1b(2,2))/2];
%     pt3 = [(bd2b(3,1) + bd2b(4,1))/2,(bd2b(3,2) + bd2b(4,2))/2];
%     pt4 = [(bd2a(3,1) + bd2a(4,1))/2,(bd2a(3,2) + bd2a(4,2))/2];
%     convexHull = [pt1;pt2;pt3;pt4];
%     [x1,y1] = poly2cw(convexHull(:,1),convexHull(:,2));
%     convexHull = [x1,y1];
% 
% for i = 3:n
%     qprev = [xdiffs(i-1),ydiffs(i-1),O1diffs(i-1),O2diffs(i-1)];
%     [bd1a,bd2a] = createRobot(qprev);
%     
%     qcurr = [xdiffs(i),ydiffs(i),O1diffs(i),O2diffs(i)];
%     [bd1b,bd2b] = createRobot(qcurr);
%     
%     pt1 = [(bd1a(1,1) + bd1a(2,1))/2,(bd1a(1,2) + bd1a(2,2))/2];
%     pt2 = [(bd1b(1,1) + bd1b(2,1))/2,(bd1b(1,2) + bd1b(2,2))/2];
%     pt3 = [(bd2b(3,1) + bd2b(4,1))/2,(bd2b(3,2) + bd2b(4,2))/2];
%     pt4 = [(bd2a(3,1) + bd2a(4,1))/2,(bd2a(3,2) + bd2a(4,2))/2];
%     
%     addedHull = [pt1;pt2;pt3;pt4];
%     [x1,y1] = poly2cw(addedHull(:,1),addedHull(:,2));
%     addedHull = [x1,y1];
%     
%     [xi,yi] = polybool('union',convexHull(:,1),convexHull(:,2),addedHull(:,1),addedHull(:,2));
%     convexHull = [xi,yi];
%     [x1,y1] = poly2cw(convexHull(:,1),convexHull(:,2));
%     convexHull = [x1,y1];
%     
% end
pts = zeros(2*n,2);
indexS = 1;
indexE = 2*n;

for i = 1:n

    qcurr = [xdiffs(i),ydiffs(i),O1diffs(i),O2diffs(i)];
    [bd1a,bd2a] = createRobot(qcurr);
    pt1 = [(bd1a(1,1) + bd1a(2,1))/2,(bd1a(1,2) + bd1a(2,2))/2];
    pt2 = [(bd2a(3,1) + bd2a(4,1))/2,(bd2a(3,2) + bd2a(4,2))/2];
    pts(indexS,:) = pt1;
    pts(indexE,:) = pt2;
    
    indexS = indexS + 1;
    indexE = indexE - 1;
    
    
end

    [x1,y1] = poly2cw(pts(:,1),pts(:,2));
    convexHull = [x1,y1];

% now check for convex hull collision
res = 1;
mapSize = size(map,2);

for i = 1:mapSize-1
    obs = map{i};
    
    [x1,y1] = poly2cw(obs(:,1),obs(:,2));
    obs = [x1,y1];
    
    [x1,y1] = polybool('intersection',convexHull(:,1),convexHull(:,2),obs(:,1),obs(:,2));
    
    if isempty(x1)
        res = res*1;
    else
        res = res*0;
    end
    
end

end