function [body1,body2] = drawRobot(q)

% draws the robot given the current state
% state q = [x y O1 O2]

% length parameters
L1 = 2;
L2 = 8;

% first body
mr = [q(1) + L1*sin(q(3)), q(2) - L1*cos(q(3))];
ml = [2*q(1)-mr(1),2*q(2)-mr(2)];
mrf = [mr(1) + L2*cos(q(3)),mr(2) + L2*sin(q(3))];
mlf = [ml(1) + L2*cos(q(3)),ml(2) + L2*sin(q(3))];
mfc = [(mrf(1)+mlf(1))/2,(mrf(2)+mlf(2))/2];
body1 = [mr(1),mr(2);ml(1),ml(2);mlf(1),mlf(2);mrf(1),mrf(2)];

%second body
mr2 = [mfc(1) + L1*sin(q(3)+q(4)),mfc(2) - L1*cos(q(3)+q(4))];
ml2 = [2*mfc(1)-mr2(1),2*mfc(2)-mr2(2)];
mrf2 = [mr2(1) + L2*cos(q(3)+q(4)),mr2(2) + L2*sin(q(3)+q(4))];
mlf2 = [ml2(1) + L2*cos(q(3)+q(4)),ml2(2) + L2*sin(q(3)+q(4))];
body2 = [mr2(1),mr2(2);ml2(1),ml2(2);mlf2(1),mlf2(2);mrf2(1),mrf2(2)];


patch(body1(:,1),body1(:,2),'g');
hold on
patch(body2(:,1),body2(:,2),'r');
hold on

% axis([-10 10 -10 10])

end