function localPlanner(sampleCount)

global qstart qend states convexHull;

states = zeros(sampleCount,4);
% states(1,:) = qstart;


[body1,body2] = drawRobot(qstart);


% create the first sample
xnew =  (200*rand(1));
ynew =  (300*rand(1));
O1new =  (-pi + 2*pi*rand(1));
O2new =  (-pi + 2*pi*rand(1));

qnew = [xnew ynew O1new O2new]; 

[body1,body2] = createRobot(qnew);

inbound = checkBound(body1,body2);
col = checkForCollision(body1,body2);

while (inbound*col)~=1
    xnew =  (200*rand(1));
    ynew =  (300*rand(1));
    O1new =  (-pi + 2*pi*rand(1));
    O2new =  (-pi + 2*pi*rand(1));

    qnew = [xnew ynew O1new O2new]; 

    [body1,body2] = createRobot(qnew);

    inbound = checkBound(body1,body2);
    col = checkForCollision(body1,body2);    
end
states(1,:) = qnew;
[body1,body2] = drawRobot(qnew);

totStat = 1;
while totStat < sampleCount
    qcurr = states(totStat,:);

    
% generate new state
% EDIT = CHANGE RANDOM FOR ALL MAP LOCATIONS
% xnew = qcurr(1) + (-sampleStep + 2*sampleStep*rand(1));
% ynew = qcurr(2) + (-sampleStep + 2*sampleStep*rand(1));
% O1new = qcurr(3) + (-pi + 2*pi*rand(1));
% O2new = qcurr(4) + (-pi + 2*pi*rand(1));
xnew =  (200*rand(1));
ynew =  (300*rand(1));
O1new =  (-pi + 2*pi*rand(1));
O2new =  (-pi + 2*pi*rand(1));

qnew = [xnew ynew O1new O2new]; 

[body1,body2] = createRobot(qnew);

inbound = checkBound(body1,body2);
col = checkForCollision(body1,body2);

if (col*inbound) == 1
    
    % now check the convex hull
    res = checkConvexHull(qcurr,qnew);
    res2 = checkConvexBound();
    
    if (res * res2) == 1
        states(totStat+1,:) = qnew;
        [body1,body2] = drawRobot(qnew);
%          patch(convexHull(:,1),convexHull(:,2),'k');
        totStat = totStat + 1;
    end
    

end
    
end

[body1,body2] = drawRobot(qend);
% states(end,:) = qend;


% create resulting states
newStates = zeros(sampleCount+2,4);
newStates(1,:) = qstart;
newStates(2:(end-1),:) = states(:,:);
newStates(end,:) = qend;
states = newStates;

end